Index: examples/alice_rt1_typed/Hatter_ID.pem
===================================================================
--- examples/alice_rt1_typed/Hatter_ID.pem	(revision d84540318bf679d19c3cda57ded3d3f32b99c309)
+++ examples/alice_rt1_typed/Hatter_ID.pem	(revision 0d0c3a932f0e71b959b6fd3977a3727d9113db47)
@@ -1,19 +1,19 @@
 -----BEGIN CERTIFICATE-----
-MIIDBzCCAe+gAwIBAgIIPAkqtrA+ZzcwDQYJKoZIhvcNAQEFBQAwETEPMA0GA1UE
-AxMGSGF0dGVyMB4XDTEyMDIyMTIzMDE0OVoXDTE1MDIwNTIzMDE0OVowETEPMA0G
-A1UEAxMGSGF0dGVyMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAzyGk
-xRtmPTLOLxYBbFk/0+d45Zo+ArBWH0XANfbjUdyohnq5kMVUoKEBzrFJ0ylj1qMQ
-w6rzd/9HYSpeS4mICvR+7LPlqEuKns7PpqLg9CZRXR5bpAAmdJxLojXoEXasbNJ+
-1gyA1WNUYJrEjJSXt32ILaPr18Ev79JTsKs1yT8HXwUme37E0g+znNVyImTzhrKd
-j8V6/Dx94kcnHCeBGWlktNuuEmrJnp2alsQOZS0F2Xj38Zaw110txEH9ce5YNsid
-0/w5NfrdvtxmB1wgMaAbroOwnfPZrC8XMu5GrOwsMfk272DkyldX7aepYNUH+g00
-8Ik3vLk57z4YYdN53QIDAQABo2MwYTAPBgNVHRMBAf8EBTADAQH/MA4GA1UdDwEB
-/wQEAwIBBjAdBgNVHQ4EFgQUcgJh1vAGGuC5RjKaFNZ+ZXpcLdQwHwYDVR0jBBgw
-FoAUcgJh1vAGGuC5RjKaFNZ+ZXpcLdQwDQYJKoZIhvcNAQEFBQADggEBACxD6BcI
-RaepbPgKWJ3al1rgIdXCCy4RdVkihCbNRUZcZPGdUPw4G8SOaQHADx+/fGeP2oF2
-yCMJwHJ/NKAmY7NFV5kKK1tLt/Wib5t0QJhRNRehYTcFa7Wrzbch1Vqo2hq12VQT
-ISnUDfSKFTwpNrgcVnZ2LRy6kDjqpXILPfqeIv7mNCH25oD/y+yitZQjZ+1HS/62
-otCIrHsMLrrw8xLeVHQ6+5TdkfG3Ow2k1V2FMyjMABfqxopuwU2SILcfy1lkhuws
-OiHpHm9gxrGFvYwA28wyd3MMI6+K+EWTFcUOSGAIVecZpCTYLVZvs20IUn4NzW2u
-XSRKBModR3yVkpI=
+MIIDBzCCAe+gAwIBAgIICrAbNW0mTCQwDQYJKoZIhvcNAQEFBQAwETEPMA0GA1UE
+AxMGSGF0dGVyMB4XDTEyMDIyMzA4MDIwOVoXDTE1MDIwNzA4MDIwOVowETEPMA0G
+A1UEAxMGSGF0dGVyMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAw195
+fnfJ6ttdl1u3juIKC/Qv4tlknzxHEwLsee1Pxfry6uHuMRaGsvpzABuIj1ZtbWfk
+UrHCqnK1rpzpiCm7mtUCSp2T/pWmm1gyLDmzwkh+KiLq7ExZUUpNtXzZGsPl9b64
+UpHgad54LFfH+7OpvJjpTb2STwuIwugp2chgw88pIr0j9537esJtczbIUh8kAGRD
+zWGEaqQTpALLB7VXzqyiuH7+WnQ5IuBzQeYeYQMVi/4Mp3+9Mn5jItbLQ7q3LcR8
+Ijj2re4qiUk6Nk6qA6kZGsNm6yb4rUhOQpLmEBAQWoMBEsaMAWc3GGb2mlD4nbTF
+absE6CXkUN44bRL9twIDAQABo2MwYTAPBgNVHRMBAf8EBTADAQH/MA4GA1UdDwEB
+/wQEAwIBBjAdBgNVHQ4EFgQUmYC8C9tU2px5KqwgEjaY40NzVSgwHwYDVR0jBBgw
+FoAUmYC8C9tU2px5KqwgEjaY40NzVSgwDQYJKoZIhvcNAQEFBQADggEBAL7CHgaL
+GlNCHSuMqmpc1qAYyhIOT2DFV79bsmnFPQV4QMfNu+TE1bNn7E/C0XM+8LxUqsyv
+y9Le8Lp5Emnz0DGDksl2t7KwhOG3fzmUPKUOQkaY9EnmMFKvDuIPqrZ1Lrt7NWv+
+UrkN321sbg6R1V6K1xbtt6xMcjlZpsjBULb6nj08zvnPUKuTQwBiSbYy/uhFaujX
+uRfp8/1kRRoVk0v6S4kwpDRzPXJ/xCvq1m2t0/9L5JXaA5f94efxrLl4BoCGBWqK
+3O2eO8VLCvhxD4iEdMnx6vDyBAXyLW9AXZVzFwO4j8X2WUt6pdELNXTf1dzoBifL
+fpsu2BvxgWgpFmc=
 -----END CERTIFICATE-----
Index: examples/alice_rt1_typed/Hatter_private.pem
===================================================================
--- examples/alice_rt1_typed/Hatter_private.pem	(revision d84540318bf679d19c3cda57ded3d3f32b99c309)
+++ examples/alice_rt1_typed/Hatter_private.pem	(revision 0d0c3a932f0e71b959b6fd3977a3727d9113db47)
@@ -1,27 +1,27 @@
 -----BEGIN RSA PRIVATE KEY-----
-MIIEpAIBAAKCAQEAzyGkxRtmPTLOLxYBbFk/0+d45Zo+ArBWH0XANfbjUdyohnq5
-kMVUoKEBzrFJ0ylj1qMQw6rzd/9HYSpeS4mICvR+7LPlqEuKns7PpqLg9CZRXR5b
-pAAmdJxLojXoEXasbNJ+1gyA1WNUYJrEjJSXt32ILaPr18Ev79JTsKs1yT8HXwUm
-e37E0g+znNVyImTzhrKdj8V6/Dx94kcnHCeBGWlktNuuEmrJnp2alsQOZS0F2Xj3
-8Zaw110txEH9ce5YNsid0/w5NfrdvtxmB1wgMaAbroOwnfPZrC8XMu5GrOwsMfk2
-72DkyldX7aepYNUH+g008Ik3vLk57z4YYdN53QIDAQABAoIBAQCYe5YHHPKZHuu2
-siZ+Ev3wC7lunawE4rej8f9cOtKCE0VlKretIff5AE6KUO2eLBw5iHXw9cqijiWI
-HF6qkSa7md5OdukcifAUlP89Fy8vzX2cZZrlEs88jUsIsVKUeJ7axeNlxHKbpLIb
-JBSJwWInTJyRrNkUTj3x+Q5vQrsn2JDEn65wfQLPwdewp7KY2kB3jIhZ4D1RD88d
-1CqXAQnk3gdhjT49IdLOdbIPV42hhUPhUYFBSFnfy2HtY5XPoc/N0AZ6k4kdz6y6
-5ZBbwAcpyU6BtT4NCfrrVs7fRKuliO+Br/Y3elg5cOqFLfkAmj6MLbQ2h0clgzAt
-go9tuEdBAoGBAPa87h0fxsNaxW6RqRelhS21soDKyHcRuNe9w9q8d/kdYlfxsgt6
-3+XXE3Titp3fax+eor4TU0XVj3MitECXU82rB6oo4qKnUISfiViGkrFEDL/aQnpJ
-WB+z0+Svd/VdxsDkrbLI/voGInpwLzhUwIz6IcG3H42nxelpi5TubLi5AoGBANbo
-G3+pvj/cspSqOQSUFtqjhYJeiMXOXVEGAaKigKbovtT8h4B4s/LxYZWas6pE0O3z
-1VTiBa4juXNP/YKuetWuzpZJqG5XGGe7gPclilldZ8MMo5xNabty6IUZDic6+tDh
-HcGu0lLqne1NScHYlSXzXTN25yq69OBN55dTezBFAoGBAKNt1sZBsvTYnecz4e2A
-vCrfq+F07702Ztm3nw+2QD0oQmh/9e92rvDdOcz1EgKV5q2l9KOzxzd9Uivv87bI
-xUB4JXaG6D7WVhXSWjXhxS5XJZ66Icg/5nfxM8vIkctbFvfTQF4olgLjp1i0EALe
-2D9Iuq1F70dztjp5p3O5TRg5AoGAQ4tUCT3ac8vzvNH7dbrtq+41KhJ4PmNr5OlU
-Xj9g3BTO1bZBCFnnhPXky9aBnYRffkpixHj9fAvyX5HGheo85Sg5+fZQn81z+DZw
-hD0iTJAU6rLwQVH7Z1ToS9ziG+Znqnr2lUdTB4iB9nGSOwDNb84bfu9iHIYCLPWP
-UnqEf1kCgYBzU7qxRAlaz/b9eWqwP4GKWT8Ee8hawSp/QRAWp0hrpaSFx42zSiJD
-l7WbCix1L3v5x0aYUPNpsLuBjOnzwYng0G4+q8bGnWvIcUkedv1M7wcTvXA5Iy1H
-eUupfgz06+8tChaHWA14bsiD//sVsAPVjXYFRkZV1A6TXk0MfW6YAw==
+MIIEpQIBAAKCAQEAw195fnfJ6ttdl1u3juIKC/Qv4tlknzxHEwLsee1Pxfry6uHu
+MRaGsvpzABuIj1ZtbWfkUrHCqnK1rpzpiCm7mtUCSp2T/pWmm1gyLDmzwkh+KiLq
+7ExZUUpNtXzZGsPl9b64UpHgad54LFfH+7OpvJjpTb2STwuIwugp2chgw88pIr0j
+9537esJtczbIUh8kAGRDzWGEaqQTpALLB7VXzqyiuH7+WnQ5IuBzQeYeYQMVi/4M
+p3+9Mn5jItbLQ7q3LcR8Ijj2re4qiUk6Nk6qA6kZGsNm6yb4rUhOQpLmEBAQWoMB
+EsaMAWc3GGb2mlD4nbTFabsE6CXkUN44bRL9twIDAQABAoIBAQC5AG1hbjkLZZHo
+Q3c7m5t72kyF+OkpR8DdpcUbZ7ZEeO8Rr8MHRJdkX3gKQAg+As837Erua1k0Yc7c
+e8U/pJT7dnzm/vQm/Lp5GzjXXAR2EoM1jz75ZwqkyUFwe7pxd9MHswODXJMubPVK
+uAyssWInLnytmrcylm94cLNAgFfw0U0IiaK+MX/D7Af7vDT0aMCDO1Ehi5lmOvlC
+F3k7J9JNijbZmqoIVBDahDG92b0R16rYQhhc7eNCuLT2HnVJxS9rLC7idra1LVRo
+vBPZvIKs7rYdCvcsfgP8ZZFKJr7SwHZ7LBhPRQ4puzfmnYj6o8TSEwtjzA36ieq0
+kSG/GLRhAoGBAP0yulGMClz9qbUfotCxsldOhTm/TGT23CIly1GgF07NvYx3as1z
+ILA0L4JGcs99zks3oxbDTLn837axzh8pkxEn9IhzXtDzLCa1ugqti41MrYJlo2Ax
+yi6qYxBCr1fQ8RdyJ4WOQ0zsGAxgdAtBHCufjj95xRvMWvwtmen5XFRJAoGBAMWI
+78qXYo3w26a+9rZ81Y8GBoYg37CRfS5JErz9Lvq/60graD8/M0mkPnVd+muXmvF8
+aCiTylTT3q5cR0UlKKzHPC4AhiM0kvcFh5fLbGhW+dwtK+OtyEXMPSBMqp2xe2M5
+Hhw8q9lFTdcPi4+Hlixu9UEcBym5C214OKfaEMH/AoGBAPR4fGmsW3059xhI+X2j
+dVzTFdOSH4MEz7uw3kVr29Vc1X3A98BzPsajPJP+zXAGOp9pkvCxlW2m+aJ+v1Rb
+YgKYn4T4UD5T7PdbU8xnkGzX8lgLJtoEeQDhx1C18nNJ7N8Ee6B6ogStmPKqVqFf
+NoHwRvqG6ohSoi8HIKtG95zxAoGAQODiCUNBfmcubYzpETTdG5WaDPG9JowSdmJP
+wjzR8k+YomKHYcaLPNOyI/BS8IWhwVDgEPvBh6zyxYfPbLlwq5bggCdx5xw8bN+n
+Ekcg+wAeHp/De4s3bR1Qskwb+aEyant3FUUkGD93+nvDlcetnjhvWwwumhiJ1VGY
+IiEwQdcCgYEA2lfEp4W9wTkGmZPF0RCGYFIpBSsc4+E3S2B7lEN+RX/LMp/SLXbM
+cbK9pC6yaAeZAlihr0PycWC1SLqydzzX1ARy2TxlOYgt0jQ4Uic8T8uWehLSeIlQ
+yZo38OdLqzQ7NA/PoXxgXX+Sd6s42J+Fa+uwKsPvnXMsLRyM19bXjfM=
 -----END RSA PRIVATE KEY-----
Index: examples/alice_rt1_typed/MarchHare_ID.pem
===================================================================
--- examples/alice_rt1_typed/MarchHare_ID.pem	(revision d84540318bf679d19c3cda57ded3d3f32b99c309)
+++ examples/alice_rt1_typed/MarchHare_ID.pem	(revision 0d0c3a932f0e71b959b6fd3977a3727d9113db47)
@@ -1,19 +1,19 @@
 -----BEGIN CERTIFICATE-----
-MIIDDjCCAfagAwIBAgIJAPRy1wI1ojWkMA0GCSqGSIb3DQEBBQUAMBQxEjAQBgNV
-BAMTCU1hcmNoSGFyZTAeFw0xMjAyMjEyMzAxNTBaFw0xNTAyMDUyMzAxNTBaMBQx
-EjAQBgNVBAMTCU1hcmNoSGFyZTCCASIwDQYJKoZIhvcNAQEBBQADggEPADCCAQoC
-ggEBAOXSWqXTuSzg2KxZIIco8qOThG0w/Swpi/WSUbKAglAHBpDFlQa8sM3zvYyM
-0wYz8H0gcq58GtTqzP85HlEw26dfchTA6Y6k0b4JMpcJNFU7QdMNsOSx5jzqOlrU
-wNbG+bO8DfroE4gPxteCU5XifH9d2HHj1LN3nSzjvk23QqMy/3Gb4HRTHoPV+zy2
-vuG9IEYwjWJdwd9i54YP83VPMMbjyUcuIx1nGFAjLnTkDNfOEkNY9UjeUoW/8S15
-AQ0kLXlcnR0YvWolhNXneRFKyNM5jtspGU5G9Ylr3sIJzNyrbIGeate3+r/fVoWf
-6GdK8R2WcIMrmDAK2HCHW58AX6sCAwEAAaNjMGEwDwYDVR0TAQH/BAUwAwEB/zAO
-BgNVHQ8BAf8EBAMCAQYwHQYDVR0OBBYEFCk/rKdOUX9nd/76a4Edi9GisjS0MB8G
-A1UdIwQYMBaAFCk/rKdOUX9nd/76a4Edi9GisjS0MA0GCSqGSIb3DQEBBQUAA4IB
-AQDHyIFPmLD9LvhR6OxtBkTXpZLeLhZTvT0JCiKWsEacroG4N1jGH7yNgNuduiJZ
-TAQpttRj96oSXepqCf1K2b2d9YFaibs6hTKp6GpGx/oq9n7WLQKfra4eFFnORTQq
-0+U2kyPwly73j4y8qLQZ5A/9inpfZ4pGErnV486Q43V3N4MplWDu2OmU03p9m1Mk
-i4UbSX86ym2wCrGYv5KonLg6ER2L4tPTEBqnUg4TpFmCstGJlLwnr6Htvc5Te17t
-qW8QnVzLgV3/lJHeLPFdGw1xd0QeWAsE/ScwVD/d63dNPLJncmw18AvRgPbOHcN/
-E87t7sh8EebEhOTC6g2ltu8q
+MIIDDTCCAfWgAwIBAgIIS05LRdMC7ocwDQYJKoZIhvcNAQEFBQAwFDESMBAGA1UE
+AxMJTWFyY2hIYXJlMB4XDTEyMDIyMzA4MDIxMFoXDTE1MDIwNzA4MDIxMFowFDES
+MBAGA1UEAxMJTWFyY2hIYXJlMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKC
+AQEA0U8r2yeQL1i9FkE7VEJlJJUX6UUOfSD6hDfGJEvBDUoTm8M6gMMoyFojCUjR
+R/z8V5RqGxfdxScSkiwxY8j8UrGOVn7YRsSlgNUP79DkHs0RZkP3YxtgF6OX18Mb
+GZh5BoCyyM4hxf67vA307nuJUBaqDDoiVOMlkpck/FLu7fy1z/Ia6k1IkDrWm2ZD
+474MGppFpRdRzmp2qUr0oTKzDh787f4AEAeT30+1elGwukdFazFG4QyPY9h+93fm
+/c9/O0YedclNwC/BH7H3cq1sUtbv3Uk0mp/MW7juqQ+mzqcqq6WXbggIhKQByzKF
+VnwOhLIb3nOFV4MgGSt6mqnMDwIDAQABo2MwYTAPBgNVHRMBAf8EBTADAQH/MA4G
+A1UdDwEB/wQEAwIBBjAdBgNVHQ4EFgQU8jYL6W3bAVNy3krokrFnAS8fbVEwHwYD
+VR0jBBgwFoAU8jYL6W3bAVNy3krokrFnAS8fbVEwDQYJKoZIhvcNAQEFBQADggEB
+ADWfAKcUeGMQaZwkm3PGV5B4dF2kRQRZEia9OBjnPRfO/Kh0rU+JfHz3PAh7U0ge
+nPcM+iR/igT0P+IVwE/tFH02ScT0MldJGDUxfC3q2OwghUBlF6dQu5xv+GJDmh5K
+7VaBJf27CYpyXIzhTIzYnHkxtdC71hhZYN4HXhznxIIDUSSdxZiN4u2K60R+Ou70
+AsxPtMmMbfjWIE6Kur4o+1zdLr7BHUeakn4qgI0SuVEGEqH8mzNxVZniH6ERClAk
+tWJB+qPwPc7YfgoA+SsRAl0kEikDmqumFlvLnp9gd2hmp6wxfIzoAVdj7NjTWqGk
+GvmyR3s7inS4sD0pFwxyFxg=
 -----END CERTIFICATE-----
Index: examples/alice_rt1_typed/MarchHare_private.pem
===================================================================
--- examples/alice_rt1_typed/MarchHare_private.pem	(revision d84540318bf679d19c3cda57ded3d3f32b99c309)
+++ examples/alice_rt1_typed/MarchHare_private.pem	(revision 0d0c3a932f0e71b959b6fd3977a3727d9113db47)
@@ -1,27 +1,27 @@
 -----BEGIN RSA PRIVATE KEY-----
-MIIEpAIBAAKCAQEA5dJapdO5LODYrFkghyjyo5OEbTD9LCmL9ZJRsoCCUAcGkMWV
-BrywzfO9jIzTBjPwfSByrnwa1OrM/zkeUTDbp19yFMDpjqTRvgkylwk0VTtB0w2w
-5LHmPOo6WtTA1sb5s7wN+ugTiA/G14JTleJ8f13YcePUs3edLOO+TbdCozL/cZvg
-dFMeg9X7PLa+4b0gRjCNYl3B32Lnhg/zdU8wxuPJRy4jHWcYUCMudOQM184SQ1j1
-SN5Shb/xLXkBDSQteVydHRi9aiWE1ed5EUrI0zmO2ykZTkb1iWvewgnM3KtsgZ5q
-17f6v99WhZ/oZ0rxHZZwgyuYMArYcIdbnwBfqwIDAQABAoIBAQDWXve1FJ/276jM
-YrqHuLdTw4dT/s05A2wM3bYdBegH0/XY1qRiy2E0SrY1QyqX75zUao7umM7Cal5b
-dyEDZMqO/eXA3A0/xBfs5lFtNuW81vBYeL3XJOX5ThauoSNbc/B5KeH0d8O4N9cn
-MObcuY2dlKEP4w+Fc/6FX84kWdvrsyJjd+zjo+QLViLW+OyvoOjjHfPIYAqVgRPq
-oNt8ho5qx01GiVcBGa6J0LkzfgMV/s9Ghi4qT9oQYpZegs4ZPEq3HCmu7a79htGM
-6gq0nUgIyux73eS5dFq26uPLRfHXNWkxzdIMKH83QetEqBZm8TOU1FdQzq6doniS
-FLlk68PBAoGBAPvu+E2eAU423ybELYsb5+jq0rxkBtOUumgpQdjbv3JB2CLK43Uj
-wrg7CncJrimqPKflQluZu6ccZxLH+8FGjp1gJHIfrZpc36OkpyXyJ0T2+X6jhqpb
-8WYCZMsuj8K8jENDjQIHSZe+ODw9q5DoJbUZAqfNqCoPLXqXpyfZjvEhAoGBAOmI
-A8KP9mWa0UYQALvmpCej5xyI2XMts5OT8iOJ/tuBeXxf2Jl0FY3rUIJvS/zh2rZQ
-lLky60GIPdEprey6jR7hsM3/MUveZokFWU1JDtVXNeLRrJ+z78542HBfCxOsQBvD
-9CvcpP9RkQxCFgG1/3rZtTSmuxEKz9ByO7xQSVtLAoGBANgt2stfhedDloCBXkM8
-Euf+eA5IFsN/n+S5YlNfXQwCDCDuz/c4VGIZ54T1vYjrF1lKlIJdjHR9HsUy7YiP
-rtjEIwH6xNDsWMrnArbA74lyE+zjDS8p7h6Gd08SCTIk8IbXdCwFbNTU2RR4JrwV
-OCYJ7Alpo59TnsbPUxQSz2GBAoGATnYfZUg/LcYFV/fad0c3kgX0iVbFUHhjZEsJ
-yLz9frySl6IQQQaKk2Mjap+ANVegxy5tuYeNGThwJI1PXUEUVvLXF28NHgN8Cb9d
-UKUiMbWaajmuOP4YrRNXDPIx44s1At8kc3Qvj4TVKfwuLqb6TklFI4p9QW2TguJO
-haen7d8CgYArahXw6EQ8H4HAK1J1MqF3tlhgEY2WkgRJ4aO62hJVrVaWFmS+ISEF
-RYBpvpi2iE6byyHXN8Az6fLAe8LBaG/hRRfjYa1ARTcW98+n5TrQMTsCoHqD683m
-xupoW7mFteX+QK4cngHqOIcSZveVl6jZ98Y0mb1w91h2Gs4ibD0T9Q==
+MIIEowIBAAKCAQEA0U8r2yeQL1i9FkE7VEJlJJUX6UUOfSD6hDfGJEvBDUoTm8M6
+gMMoyFojCUjRR/z8V5RqGxfdxScSkiwxY8j8UrGOVn7YRsSlgNUP79DkHs0RZkP3
+YxtgF6OX18MbGZh5BoCyyM4hxf67vA307nuJUBaqDDoiVOMlkpck/FLu7fy1z/Ia
+6k1IkDrWm2ZD474MGppFpRdRzmp2qUr0oTKzDh787f4AEAeT30+1elGwukdFazFG
+4QyPY9h+93fm/c9/O0YedclNwC/BH7H3cq1sUtbv3Uk0mp/MW7juqQ+mzqcqq6WX
+bggIhKQByzKFVnwOhLIb3nOFV4MgGSt6mqnMDwIDAQABAoIBAGEAM+7osuV+VoMN
+0BUIgB8oCWDN5B0RP4gu4ODJSrqB7fxtyZsK1sejHkGbQYH/OGLOIS5VLS3FIdIk
+MO9xoZ4hMznapxiE4b6G/0/Amze7Cak/LlL7yNirtB8GCHUgOFZPJovxG63Kk+5e
++XfcQJKhLkVkW6zDaBI7gaR+OsSHVjZDcP/Z9ETW/ydMeUDKHkhNHcz1zizMWRZ5
+uvoorud5sdgxvN6yqYYLQfApUqbmoqF5Nu+MNBgAlm9kdhDImy6uo4EZ0rs+e0kf
+WBb2mk1nMxSTBu2M5GDpSiOlkCURciEhC4JiyYP16lT9VedM+kNsZkKb4xUH9Vul
++26r0MECgYEA9hSJ6/nCF0kBsH4FKyN7USgC8BUWVCZP5Z/IHaWRkSLCOnnzDMQg
+j7OIxLRr4dlpO1cIdfN6stYaVFCDkf/n9iVtLIz9ZE/oHMqYMBYsWxCrJpuhQmxl
+jLdmKdJqI4RMwYi5YGZBc6NevHQbUqJS9hy9oVYGjD9jhHvWDs6PrlcCgYEA2b8r
+TL/4BjvmrnCgGxm2akfCzyftnKLKCeHweDXTKDBn+cOdRAHVe4RfzkDlruoYL28x
+I+22PkrhNb6hwENnHUUZ1BLUCeW7zauxa3fB0uKb/IoPBIzvaw1McD0tWnkJEAFZ
+ac9zrTMATcc6+rKEldtw6FFzomeQkU0QLXxnzQkCgYBt8+FoihF6XAmgNb7Tdqgs
+LAecBKAUe4XpoQpGjOtNAU3t2P2Lr7qo2tx6n+8wW/eUJyBFq8QgUmAzWkJfowuf
+RTvR0zGJd9bLvo5fthidnAYNWy6jwlFhnbTNbRI1ynCNbSz/cNE//ThgVjS7KIKP
+K2pjw09rrQsncDnGJe+3QwKBgQCBALQ7fUQJFXX+hPUl+R7MaoVsy4AHm55NKpGX
+9nOKTNtc6tqCTv/WdL9555LsBP6dI6geXBfrYdt5Rt53lLdDbQv3S8xZrMSN/hlX
+zRSExwKZJIXvMTwq1S8jE+uJvUl0NQhvGpuy0hNtAQrdOeQ5EFAdIxx57BeHLfvW
+puysWQKBgD+trUIzb4yQPkKBTBhrD6Edi8dwz5++s4+Nh83kBBiTQX87T5/ukd10
+ewrzaElSg/Cg7RKleC5XUAM82AM9lsCXqmSXJ19Sfr7HACqfZExqvcRjlWixgxnE
+woYvQcdaEL5sxgKkZtvgoKs3WR0d8CIlLosWRukgc0u25bSGGDpL
 -----END RSA PRIVATE KEY-----
Index: examples/alice_rt1_typed/Party_ID.pem
===================================================================
--- examples/alice_rt1_typed/Party_ID.pem	(revision d84540318bf679d19c3cda57ded3d3f32b99c309)
+++ examples/alice_rt1_typed/Party_ID.pem	(revision 0d0c3a932f0e71b959b6fd3977a3727d9113db47)
@@ -1,19 +1,19 @@
 -----BEGIN CERTIFICATE-----
-MIIDBjCCAe6gAwIBAgIJAOOi6dOurgK3MA0GCSqGSIb3DQEBBQUAMBAxDjAMBgNV
-BAMTBVBhcnR5MB4XDTEyMDIyMTIzMDIwMVoXDTE1MDIwNTIzMDIwMVowEDEOMAwG
-A1UEAxMFUGFydHkwggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIBAQDKjtR2
-jdoxK2r8KNfkeSRhxogchX14KLow5JIjEH3pb9+8mxZ+iaiCo+XUhGRG7/wd6En8
-xS+7CfKDwF2AoW25CP5I/hQEyTuFKNibQAv0k4997V5hUf/w+swoqMryhWOy6ijK
-WgapUtJeMuT9TvF0qL1w8z4iGEel0uFR3AZcm+Krg7WtVhD/F4PK18pJAhje/D6p
-oCtJq8y+rTllLDsi1MBZOv5IU7ZoRHdyFYLnO15T6GK+F+/zRZP0fF8opVwqifPX
-gD46nGKE7V+HHjgxUcBGcvv4W2Flwvbt4c+K032l0kA4twGt8k1pQszdfeFAJIGc
-mTNpc6nenfH2yI5RAgMBAAGjYzBhMA8GA1UdEwEB/wQFMAMBAf8wDgYDVR0PAQH/
-BAQDAgEGMB0GA1UdDgQWBBQGAmYSvy9h8dMUaMHRYftRVvlzXzAfBgNVHSMEGDAW
-gBQGAmYSvy9h8dMUaMHRYftRVvlzXzANBgkqhkiG9w0BAQUFAAOCAQEAR/JRwYrD
-Ul9ToDlaIVAjFbHWLai/35l1+uub+BS8V6QSQFUHbKk5WKbN7NRjmpMhxhBAO5dn
-lft30+fsP0Eej4FQqpTNrmTn1PTovGfiDtax0XCiVZl2D1PArgce5zJRTdktI2nt
-tOxPUptlmp1dDW7/WKk2NFIOLInCicJxCyxfYys5DZzEgh7YR/gaSP/TtYEQnZG2
-7uSumuggns2Puald2LvLc9wmnPXOfX0mk8ZZzCybbTPJj+hFXsjw+VeRBFJ0C6yf
-WLmOowGqhaXav/4zRaaln9NSZY6SSoNAQkJ0+pwUGLaA4NeTUOLqgwV7+hm0OQSF
-vYZxlXs1GpvEKQ==
+MIIDBjCCAe6gAwIBAgIJAL3t54a+AKAmMA0GCSqGSIb3DQEBBQUAMBAxDjAMBgNV
+BAMTBVBhcnR5MB4XDTEyMDIyMzA4MDIxNFoXDTE1MDIwNzA4MDIxNFowEDEOMAwG
+A1UEAxMFUGFydHkwggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIBAQCnCZSw
+RNimV7KAVSKPWOkuxd6uF+CHqhQyZoa2PTGjhQuMS3/uysO8ew2QvhxdonjdXBoH
+PejmcIisl29PVU3SYV39cM/SfGdLpwfKRLgTuo2obozfOz+Wo8nNOGHTcjpf278+
+Tiw7MLPXzrmtX618IJrMKxaeiE5jBgJKY4MbpfeJcIFsWAQCbnAZjlrg38zzEgj7
+vxIfe3/oYmd4VGDXz8XeV7SlT5METfnCwk9/Qq+j/e+JoNWfiSeieuTJ0jySzwSh
+z6+d1CCWS9I6B7ZH41IVEV3mXeB90AoORe3+r6rYEkDMmVkozkSUw12GiR6tifeZ
+b+iQbosiJCE9uBQFAgMBAAGjYzBhMA8GA1UdEwEB/wQFMAMBAf8wDgYDVR0PAQH/
+BAQDAgEGMB0GA1UdDgQWBBSioYtPgM74THZq/AuOH661tNskMzAfBgNVHSMEGDAW
+gBSioYtPgM74THZq/AuOH661tNskMzANBgkqhkiG9w0BAQUFAAOCAQEAQRDJY/kq
+CqmA/QATHpySf47I7a9EVSStzpPClJl4jx9Wmo2OUbaoDt30ZkQwUx1WOw1yZxVI
+rs2oT5Hu+2JxcocT4rKxHcHPcurtk/rgtIxw85qOQL6gO7n11noGmGhOgK51+UFA
+RoFYljdZhZnL5uceA2VtSOraoBhNR1YaBEQDwG0YikQyP7jKTSsTNSGsf5oLrR4L
+gjD5tdjq60qRF69E5oCn7hhbIfWbXvZaXpZBWzlvJGP14I0VzuTqZYFBVItAZEij
+ef3II6VwHl9ROmB7SCZ6OKOjMaTQO3lZpeKgnzQP8qnAA5pSD/ILZctCBxZpf31j
+83+qBe7VEAjbJQ==
 -----END CERTIFICATE-----
Index: examples/alice_rt1_typed/Party_private.pem
===================================================================
--- examples/alice_rt1_typed/Party_private.pem	(revision d84540318bf679d19c3cda57ded3d3f32b99c309)
+++ examples/alice_rt1_typed/Party_private.pem	(revision 0d0c3a932f0e71b959b6fd3977a3727d9113db47)
@@ -1,27 +1,27 @@
 -----BEGIN RSA PRIVATE KEY-----
-MIIEpAIBAAKCAQEAyo7Udo3aMStq/CjX5HkkYcaIHIV9eCi6MOSSIxB96W/fvJsW
-fomogqPl1IRkRu/8HehJ/MUvuwnyg8BdgKFtuQj+SP4UBMk7hSjYm0AL9JOPfe1e
-YVH/8PrMKKjK8oVjsuooyloGqVLSXjLk/U7xdKi9cPM+IhhHpdLhUdwGXJviq4O1
-rVYQ/xeDytfKSQIY3vw+qaArSavMvq05ZSw7ItTAWTr+SFO2aER3chWC5zteU+hi
-vhfv80WT9HxfKKVcKonz14A+OpxihO1fhx44MVHARnL7+FthZcL27eHPitN9pdJA
-OLcBrfJNaULM3X3hQCSBnJkzaXOp3p3x9siOUQIDAQABAoIBAQCHxe+CPBlKJhlD
-RrlX6x/I7kOkIpJ0rZAIX93Y5SARDi1Bhg8w6GLslqHiro9swUYUYfTeGuqgi81k
-JNhH9WzPv8h68txGTQC5hCSVA/w/h32CYk6GG2nchK++fU3z/BdVAQIwiOG4M8zQ
-2XqGlJjioozBHjrCrdWwwEbKERqujZm2oKuK8DlIxGFIEY+XQCDE5VKKg1I7tOLr
-4Px+PcGlKydjPNE+1DbDsHhZR4eNLgdRz9jFg7oHT8x72AbxFDz2AJ/dRzvLvt9W
-eUZkhAzvc1RP0wyUyKOhfnaRuIFFDKif7qdumPnTDSl4crnfXh31jzFOAe4W0vmE
-L5Ar1dUVAoGBAObnpLtOdHQf4jepikUGnpESiD2NNAhmTI/Ie8MvUC1hECNl3sep
-v4WRcUXivAZAWc3hW7vRi5V1UmSl8cytUdas1/S/LbxsrY2/Dqoj2chphkVXdCRl
-EGuVVeSqiqRJOl+HgNeCsRcHCOTYOKEeLqZx3uXpn4SHsgS03FMnlLDDAoGBAOCS
-gNgSXdCXfvI1NHbC6vajoWAYhklAQdiQv0SfRHqZYk9lFBmZomgYzbQrVNfj53nx
-N4Nxjd2Q2YzpXBqx8nl0pEL5rKjMAwL3V7Ofi5g7jW3xZ+81Cr/ckfijWXuKJuea
-j3z42frgNugPFVukyEpBrjbSjD2SXGyBosdX/9NbAoGBALjt/TkmdI4smvkJh/wQ
-eR6nQQZK+MlhZSAi6TxBwG0Xt90h0XMHuKQ5AAeAuCYpk8MYImgiQzDIbdy+KxJK
-HalZdPxHwVGPmNBVnGEXpWylVyxiBlq/to7zY39oNvGs1Ft+Iup3eW1/7NebdH9V
-tPcJbAOnQGLcau7qCytuH+ARAoGAAUSSeaXQ5caVLuTiAPGkxfOyi4pX5733ITPg
-AJEtn8uR5ITbkjFt20yYjLXZ6sYcnnGgMJvJg0C4GbWPkY8DoW/pJX+nW+Sa979R
-vW/fJ+LeL4q3XYBdKSwjntW9QZdMFO6odLoq8OGnLbQ4GKZbgx/PzftuU0KqRuqM
-creqeBUCgYAETUskFSHEJLPHqmpA5Il/JSWgLFT8Cu8XChHTcUEz156mC7As4xBi
-4gwuSiRQzu81ZZKp9LCuyUIhJdvDkoD1b3ht6dURR8jJOzakIf6wB9uaF+82kzWa
-2b+FX6ntcGPdcMOcfI6EDJV1yhPsieffHEfBL8bYdxFKumaw+/41Yg==
+MIIEpAIBAAKCAQEApwmUsETYpleygFUij1jpLsXerhfgh6oUMmaGtj0xo4ULjEt/
+7srDvHsNkL4cXaJ43VwaBz3o5nCIrJdvT1VN0mFd/XDP0nxnS6cHykS4E7qNqG6M
+3zs/lqPJzThh03I6X9u/Pk4sOzCz1865rV+tfCCazCsWnohOYwYCSmODG6X3iXCB
+bFgEAm5wGY5a4N/M8xII+78SH3t/6GJneFRg18/F3le0pU+TBE35wsJPf0Kvo/3v
+iaDVn4knonrkydI8ks8Eoc+vndQglkvSOge2R+NSFRFd5l3gfdAKDkXt/q+q2BJA
+zJlZKM5ElMNdhokerYn3mW/okG6LIiQhPbgUBQIDAQABAoIBAQCXHDu/GwlDsqJx
+JpOVSsHo5miE5mThViPfVJEZ3FJDs+C2kraxuA1LPacQAmx26LyexOtnEcLYdYWv
+XW/9PRah9COrW5smuBRahEiv22sLrgDpFtmqOVdVV+cAGLmnJ/dXMNzZ6K5q/aw0
+13dyONQhLv3bJj/YO0dunckEsvGw2AW1xpn9qpWe+RJ55pMP8Ou99HmXPuzk0FSb
+oDGNQ5iPy52b9Wbr1FZ6XgvobupuMw47dAWc2ySbqUUCEtPyFvH6RGWVocaOPS5l
+NziwNne5JMcgj0thU0KXtOCqYU7ctd5r0UEhiLuiuaCVZUBQ2u18mM0/6U6VO5DS
+w8d8ea8hAoGBANW7Yxc7b+KVgTlQcZU2aAi/nmqL7iREdrfK+X6JuF4GOybk8sqD
+ZjZTAlVF0Wv7qeSOZbGViETr4Lbz4twIpoN5GVUORUkoqpIU6TZtvyTr8BWQS/Dm
+DBKqztJ0bWtAqPhTsI6PNmvBtdzUAK9XOGdTkOe1ZnG5tDtIIMCepd/fAoGBAMgS
+MAc0ylcQfpmrifEgsTIoMImx3E9+P1xkV0U+GxIJoE7NGMTSCJRHOmmztuDVBrDW
+gk1s0kNvB5qaYwTUd83j5fpajApL1Rzqt8RI/PzKVLddrNBhJm9wdIVca1lDsCcp
+kZ7z3s/Iwsr3JBFVBcO4UWGVHKRoWlMbG3qYx3ibAoGBAMFrxKAotPdcD0b8Ct5b
+D0kjiEyp98iwgLORp7ohDk1g3DU1qpck1OJCuvDKr1xGsxhY2aUdSuX8hS9shRhV
+Z8PBWvCDaqZre/mZnPgZ14qlTm9lV6RZvAFEvMjufns6V+/rZPOOnVRlSJzg6wHD
+MBMqKA/ZNS2kPnwLqUBIEpsHAoGAEBdeY4X8bCo4dHWWf51Igyc2WCzE8mPOBslP
+N5N6K+Y4TX4zaskVxY9BBHVe1RBtHFX0XvPMqX3Jl8apBh9sj1OwEIWt07orpsq+
+Avx31IEVdTYEizH1HGtoA73eKGzIQy4VtzoYBpA4Eoj0DqzO7OHrMbUDe7mk4iBB
+Aog9KtcCgYBpO661/Ik90P8FEIKSJDwzI7ZKFhCuQ5xnmeEp58YbJS8jZ/o9r+1D
+uoxkQG7eLXvogthLoFh2jF+A3LxKqy0BOf/a6pVZFyYpbXG0iSkNH1Ox/Fcnwt6a
+5aDT0nyu+Q13/B6JtunPJXniU+w9V3nBAqIBS9Ceri3Noq24W5G6tg==
 -----END RSA PRIVATE KEY-----
Index: examples/alice_rt1_typed/README
===================================================================
--- examples/alice_rt1_typed/README	(revision d84540318bf679d19c3cda57ded3d3f32b99c309)
+++ examples/alice_rt1_typed/README	(revision 0d0c3a932f0e71b959b6fd3977a3727d9113db47)
@@ -41,5 +41,5 @@
 
 #[keyid:Party].role:about([keyid:tea],[time:201010],[string:'guest list'],[boolean:true],[integer:4]) <- [keyid:Party].role:guestOf([keyid:MarchHare])
-echo "creddy --attribute --issuer Party_ID.pem --key Party_private.pem --role \"$about_party\" --subject-cert Party_ID.pem --subject-role  \"$guestof_marchhare\" --out party_about_party__guestof_marchhare_attr.der"
+#echo "creddy --attribute --issuer Party_ID.pem --key Party_private.pem --role \"$about_party\" --subject-cert Party_ID.pem --subject-role  \"$guestof_marchhare\" --out party_about_party__guestof_marchhare_attr.der"
 creddy --attribute \
        --issuer Party_ID.pem --key Party_private.pem --role "$about_party" \
@@ -51,5 +51,5 @@
 
 #[keyid:Party].role:about_other_party([keyid:$tea_keyid],[time:?],[boolean:true]) <- [keyid:MarchHare]
-echo "creddy --attribute --issuer Party_ID.pem --key Party_private.pem --role \"$about_other_party\" --subject-cert MarchHare_ID.pem --out party_about_other_party__marchhare_attr.der"
+#echo "creddy --attribute --issuer Party_ID.pem --key Party_private.pem --role \"$about_other_party\" --subject-cert MarchHare_ID.pem --out party_about_other_party__marchhare_attr.der"
 creddy --attribute \
        --issuer Party_ID.pem --key Party_private.pem --role "$about_other_party" \
@@ -58,5 +58,5 @@
 
 #[keyid:Party].role:about_string([string:'a confused party']) <- [keyid:MarchHare]
-echo "creddy --attribute --issuer Party_ID.pem --key Party_private.pem --role \"$about_string\" --subject-cert MarchHare_ID.pem --out party_about_string__marchhare_attr.der"
+#echo "creddy --attribute --issuer Party_ID.pem --key Party_private.pem --role \"$about_string\" --subject-cert MarchHare_ID.pem --out party_about_string__marchhare_attr.der"
 creddy --attribute \
        --issuer Party_ID.pem --key Party_private.pem --role "$about_string" \
@@ -72,5 +72,5 @@
 
 #[keyid:Party].role:about_urn([urn:'file://user/local/party/~sillyparty']) <- [keyid:MarchHare]
-echo "creddy --attribute --issuer Party_ID.pem --key Party_private.pem --role \"$about_urn\" --subject-cert MarchHare_ID.pem --out party_about_urn__marchhare_attr.der"
+#echo "creddy --attribute --issuer Party_ID.pem --key Party_private.pem --role \"$about_urn\" --subject-cert MarchHare_ID.pem --out party_about_urn__marchhare_attr.der"
 creddy --attribute \
        --issuer Party_ID.pem --key Party_private.pem --role "$about_urn" \
@@ -79,5 +79,5 @@
 
 #[keyid:Party].role:about_third_float([float:0.22]) <- [keyid:MarchHare]
-echo "creddy --attribute --issuer Party_ID.pem --key Party_private.pem --role \"$about_third_float\" --subject-cert MarchHare_ID.pem --out party_about_third_float__marchhare_attr.der"
+#echo "creddy --attribute --issuer Party_ID.pem --key Party_private.pem --role \"$about_third_float\" --subject-cert MarchHare_ID.pem --out party_about_third_float__marchhare_attr.der"
 creddy --attribute \
        --issuer Party_ID.pem --key Party_private.pem --role "$about_third_float" \
@@ -86,5 +86,5 @@
 
 #[keyid:Party].role:about_another_float([float:8]) <- [keyid:MarchHare]
-echo "creddy --attribute --issuer Party_ID.pem --key Party_private.pem --role \"$about_another_float\" --subject-cert MarchHare_ID.pem --out party_about_another_float__marchhare_attr.der"
+#echo "creddy --attribute --issuer Party_ID.pem --key Party_private.pem --role \"$about_another_float\" --subject-cert MarchHare_ID.pem --out party_about_another_float__marchhare_attr.der"
 creddy --attribute \
        --issuer Party_ID.pem --key Party_private.pem --role "$about_another_float" \
@@ -93,5 +93,5 @@
 
 #[keyid:Party].role:about_float([float:-200.0]) <- [keyid:MarchHare]
-echo "creddy --attribute --issuer Party_ID.pem --key Party_private.pem --role \"$about_float\" --subject-cert MarchHare_ID.pem --out party_about_float__marchhare_attr.der"
+#echo "creddy --attribute --issuer Party_ID.pem --key Party_private.pem --role \"$about_float\" --subject-cert MarchHare_ID.pem --out party_about_float__marchhare_attr.der"
 creddy --attribute \
        --issuer Party_ID.pem --key Party_private.pem --role "$about_float" \
@@ -100,5 +100,5 @@
 
 #[keyid:Party].role:about_another_integer([integer:-7]) <- [keyid:MarchHare]
-echo "creddy --attribute --issuer Party_ID.pem --key Party_private.pem --role \"$about_another_integer\" --subject-cert MarchHare_ID.pem --out party_about_another_integer__marchhare_attr.der"
+#echo "creddy --attribute --issuer Party_ID.pem --key Party_private.pem --role \"$about_another_integer\" --subject-cert MarchHare_ID.pem --out party_about_another_integer__marchhare_attr.der"
 creddy --attribute \
        --issuer Party_ID.pem --key Party_private.pem --role "$about_another_integer" \
@@ -107,5 +107,5 @@
 
 #[keyid:Party].role:about_integer([integer:4]) <- [keyid:MarchHare]
-echo "creddy --attribute --issuer Party_ID.pem --key Party_private.pem --role \"$about_integer\" --subject-cert MarchHare_ID.pem --out party_about_integer__marchhare_attr.der"
+#echo "creddy --attribute --issuer Party_ID.pem --key Party_private.pem --role \"$about_integer\" --subject-cert MarchHare_ID.pem --out party_about_integer__marchhare_attr.der"
 creddy --attribute \
        --issuer Party_ID.pem --key Party_private.pem --role "$about_integer" \
@@ -114,5 +114,5 @@
 
 #[keyid:Party].role:about_boolean([boolean:true]) <- [keyid:MarchHare]
-echo "creddy --attribute --issuer Party_ID.pem --key Party_private.pem --role \"$about_boolean\" --subject-cert MarchHare_ID.pem --out party_about_boolean__marchhare_attr.der"
+#echo "creddy --attribute --issuer Party_ID.pem --key Party_private.pem --role \"$about_boolean\" --subject-cert MarchHare_ID.pem --out party_about_boolean__marchhare_attr.der"
 creddy --attribute \
        --issuer Party_ID.pem --key Party_private.pem --role "$about_boolean" \
@@ -121,5 +121,5 @@
 
 #[keyid:Party].role:about_key([keyid:$tea_keyid]) <- [keyid:MarchHare]
-echo "creddy --attribute --issuer Party_ID.pem --key Party_private.pem --role \"$about_key\" --subject-cert MarchHare_ID.pem --out party_about_key__marchhare_attr.der"
+#echo "creddy --attribute --issuer Party_ID.pem --key Party_private.pem --role \"$about_key\" --subject-cert MarchHare_ID.pem --out party_about_key__marchhare_attr.der"
 creddy --attribute \
        --issuer Party_ID.pem --key Party_private.pem --role "$about_key" \
@@ -128,5 +128,5 @@
 
 #[keyid:Party].role:about_another_time([time:20201101T182930]) <- [keyid:MarchHare]
-echo "creddy --attribute --issuer Party_ID.pem --key Party_private.pem --role \"$about_another_time\" --subject-cert MarchHare_ID.pem --out party_about_another_time__marchhare_attr.der"
+#echo "creddy --attribute --issuer Party_ID.pem --key Party_private.pem --role \"$about_another_time\" --subject-cert MarchHare_ID.pem --out party_about_another_time__marchhare_attr.der"
 creddy --attribute \
        --issuer Party_ID.pem --key Party_private.pem --role "$about_another_time" \
@@ -135,5 +135,5 @@
 
 #[keyid:Party].role:about_time([time:20201101T]) <- [keyid:MarchHare]
-echo "creddy --attribute --issuer Party_ID.pem --key Party_private.pem --role \"$about_time\" --subject-cert MarchHare_ID.pem --out party_about_time__marchhare_attr.der"
+#echo "creddy --attribute --issuer Party_ID.pem --key Party_private.pem --role \"$about_time\" --subject-cert MarchHare_ID.pem --out party_about_time__marchhare_attr.der"
 creddy --attribute \
        --issuer Party_ID.pem --key Party_private.pem --role "$about_time" \
@@ -142,5 +142,5 @@
 
 #[keyid:Party].role:guestof([principal:?V]) <- [keyid:Party].role:friendOf([principal:?V])
-echo "creddy --attribute --issuer Party_ID.pem --key Party_private.pem --role 'guestOf([principal:?V])' --subject-cert Party_ID.pem --subject-role 'friendOf([principal:?V])' --out party_guestof_qV__party_friendof_qV_attr.der"
+#echo "creddy --attribute --issuer Party_ID.pem --key Party_private.pem --role 'guestOf([principal:?V])' --subject-cert Party_ID.pem --subject-role 'friendOf([principal:?V])' --out party_guestof_qV__party_friendof_qV_attr.der"
 creddy --attribute \
        --issuer Party_ID.pem --key Party_private.pem --role 'guestOf([principal:?V])' \
@@ -149,5 +149,5 @@
 
 #[keyid:Party].role:guests <- [keyid:Party].role:friendOf([keyid:MarchHare])
-echo "creddy --attribute --issuer Party_ID.pem --key Party_private.pem --role guests --subject-cert Party_ID.pem --subject-role  \"$friendof_marchhare\" --out party_guests__party_friendof_marchhare_attr.der"
+#echo "creddy --attribute --issuer Party_ID.pem --key Party_private.pem --role guests --subject-cert Party_ID.pem --subject-role  \"$friendof_marchhare\" --out party_guests__party_friendof_marchhare_attr.der"
 creddy --attribute \
        --issuer Party_ID.pem --key Party_private.pem --role guests \
@@ -156,5 +156,5 @@
 
 #[keyid:Party].role:friendOf([keyid:MarchHare]) <- [keyid:Dormouse]
-echo "creddy --attribute --issuer Party_ID.pem --key Party_private.pem --role \"$friendof_marchhare\" --subject-cert Dormouse_ID.pem --out party_friendof_marchhare__dormouse_attr.der"
+#echo "creddy --attribute --issuer Party_ID.pem --key Party_private.pem --role \"$friendof_marchhare\" --subject-cert Dormouse_ID.pem --out party_friendof_marchhare__dormouse_attr.der"
 creddy --attribute \
        --issuer Party_ID.pem --key Party_private.pem --role "$friendof_marchhare" \
@@ -163,5 +163,5 @@
 
 #[keyid:Party].role:friendOf([keyid:Alice]) <- [keyid:Hatter]
-echo "creddy --attribute --issuer Party_ID.pem --key Party_private.pem --role \"$friendof_alice\" --subject-cert Hatter_ID.pem --out party_friendof_alice__hatter_attr.der"
+#echo "creddy --attribute --issuer Party_ID.pem --key Party_private.pem --role \"$friendof_alice\" --subject-cert Hatter_ID.pem --out party_friendof_alice__hatter_attr.der"
 creddy --attribute \
        --issuer Party_ID.pem --key Party_private.pem --role "$friendof_alice" \
Index: examples/alice_rt1_typed/Tea_ID.pem
===================================================================
--- examples/alice_rt1_typed/Tea_ID.pem	(revision d84540318bf679d19c3cda57ded3d3f32b99c309)
+++ examples/alice_rt1_typed/Tea_ID.pem	(revision 0d0c3a932f0e71b959b6fd3977a3727d9113db47)
@@ -1,19 +1,19 @@
 -----BEGIN CERTIFICATE-----
-MIIDAjCCAeqgAwIBAgIJAMgbkaiAaHGZMA0GCSqGSIb3DQEBBQUAMA4xDDAKBgNV
-BAMTA1RlYTAeFw0xMjAyMjEyMzAyMDBaFw0xNTAyMDUyMzAyMDBaMA4xDDAKBgNV
-BAMTA1RlYTCCASIwDQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEBAM/XOdGkJbXT
-ZFFqHLHMGllWRbQDxBZ5HcqqZ43dU9p+EZtuHH/TI3KkKQ9TeyDE10Efa55/DeZM
-QHiumGa/ICS8rclBQSK+epDR4UubwxCKAUNvmrTamXvE2jRRdqHIsJSEg3OQO7gI
-NseDHmV/YFlvRNmjXjTMWk+UsxQmrhIYL0l4sUXff/AhIIThLauBJUgeb0KadHhU
-jwh62ZmPKOvX6lOcsFc5JF112wgdN9pxLohUKrm5xcWRTAluQlSDr56P3wH7eieB
-P6c83UxbVAnz9cKFNCVFdT7e/LIP3OQa/0uSz9//gsd2Nk1cbSrCHEDErIjTxlNl
-MS85BwbmM70CAwEAAaNjMGEwDwYDVR0TAQH/BAUwAwEB/zAOBgNVHQ8BAf8EBAMC
-AQYwHQYDVR0OBBYEFFW3b0Lw/W3JBgXm6MDdhkV1kfVdMB8GA1UdIwQYMBaAFFW3
-b0Lw/W3JBgXm6MDdhkV1kfVdMA0GCSqGSIb3DQEBBQUAA4IBAQDDewJO8hYU5dgz
-QZuKoTjDp+c7+mz5Cgs4N5AAJ1CfVdWbY8DKfJNjST+dUAfwg0b9o2/f4F8i8GNz
-vbse07I9d2iN6TaQzx/SgTBe2/qsNhe+4LpLpc/teYIQVvTLlk/3F2/umGgLqiAl
-HHOJBAZOtaSSNs+Ya4wmBflpVWEQJKVPfei89dTnaBW6xsQsi9W+p5iR3KofZIO+
-lsDJ0gRIme2vjJJs1ei5BglzKMp6VyNrhcKmOmGAuJF/RfT8uxHcgGWRp0SrGuSn
-kt4SqJLUd5ejknJBtn9skDNxLOD/65JoNfcPGjvc95CjtN92Jlzfziz8LXYfJU/3
-1WWKI6lF
+MIIDATCCAemgAwIBAgIIfhMOGkyGaFkwDQYJKoZIhvcNAQEFBQAwDjEMMAoGA1UE
+AxMDVGVhMB4XDTEyMDIyMzA4MDIxMloXDTE1MDIwNzA4MDIxMlowDjEMMAoGA1UE
+AxMDVGVhMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEApLlNfRXJEA4n
+kXfPMar4TakmXp0cGOFcUjH59Gq8N88LXa1V3ucJcvIH4H4kNeq8AcfY4VQBdx9A
+uR4XE4KX13FTJyPkMhzLmLXOXU3YIpexdkq3bC3OK5dzC7T1qZ8iG4WHGna6r89W
+SsWsK9OYTVp5A64ta/O6Xfdo9M/EJS2WKgtGnYxD8Dk44gxEj4EwiLu8Yyza8muh
+899yaZivGPxn4kH8zFR9oK+9SBGdGMVGvo0dNog0c1///dy9pyfYaK9F/i+d5xVy
+nGSBkzX2VC25v5dLo6LYt4Fwvj2Ep+6XcV9BhkKL+pnNPbhGjsst5vv5OhlqT5rg
+rHGu38Zb7wIDAQABo2MwYTAPBgNVHRMBAf8EBTADAQH/MA4GA1UdDwEB/wQEAwIB
+BjAdBgNVHQ4EFgQUwvVEqmn3FQj0cMknTrjG97eYrxcwHwYDVR0jBBgwFoAUwvVE
+qmn3FQj0cMknTrjG97eYrxcwDQYJKoZIhvcNAQEFBQADggEBADYy9Zofp02cJJXQ
+DgolhiTSsljoMScEcS9OVMu9+ezw91n1C7LT+vf0nls0qanP9xh3SfZ2oeS17N4q
+1Mhlb4uJgOnBfzKQ4hEw+yUVY26aJT6+JH3YcnPIo4r1lpeMWItGwzpr0+LMYuvt
+s0M4+o28OWni5x4jePKTEVlqeoAKS2iwB2VIo6TkpPaHcWwXCBhehZTT2/jQtVMh
+LInvCQPcrrp2tnfWJbxs+LQX9nwdgxRPVl4dfzdmdcchFO4tRWj2NffHO0nHeCyh
+JILwq2EqJL0BKL4liiIlalutdEtKeU9bXGhSuNpqcCKaMyWxCk5/IIjeoOM/dcXo
+VL+PCCo=
 -----END CERTIFICATE-----
